#!/bin/bash

set -efu

pys="$(py3versions -s 2> /dev/null)"

cd $AUTOPKGTEST_TMP

cat <<EOF > test.py
# This is a simple test

def main_func():
    import random
    arr1 = [random.randint(1,10) for i in range(100000)]
    arr2 = [random.randint(1,10) for i in range(100000)]
    arr3 = [arr1[i]+arr2[i] for i in range(100000)]
    tot = sum(arr3)
    print(tot)

if __name__ == "__main__":
    main_func()

EOF

for py in $pys; do
    echo "testing $py"
    $py -m scalene test.py
done
